diff --git a/lustre/tests/sanity.sh b/lustre/tests/sanity.sh
index 9eb4e92901cff3790a6a9f85b85a333d93bb6389..77157c2b161dc57fa7ba929f0a3ba0ba1350241b 100644
--- a/lustre/tests/sanity.sh
+++ b/lustre/tests/sanity.sh
@@ -5846,6 +5846,11 @@ test_152() {
 }
 run_test 152 "test read/write with enomem ============================"
 
+test_153() {
+        multiop $DIR/$tfile Ow4096Ycu || error "multiop failed"
+}
+run_test 153 "test if fdatasync does not crash ======================="
+
 #Changelogs
 test_160() {
     remote_mds && skip "remote MDS" && return